uniform mat4 camera_view_matrix;
uniform vec4 camera_world_pos;
uniform vec4 light_world_pos;

varying vec4 V_world;
varying vec4 L_world;

void main(void)
{
   V_world = camera_world_pos - gl_ModelViewMatrix * gl_Vertex;
   L_world = light_world_pos - gl_ModelViewMatrix * gl_Vertex;

   gl_TexCoord[0] = gl_MultiTexCoord0;
   gl_Position = gl_ProjectionMatrix * camera_view_matrix * gl_ModelViewMatrix * gl_Vertex;
}

